image: guix
packages:
  - haunt
  - hut
  # you may need guile-commonmark for optional Markdown support
  - guile-commonmark
  # you may need guile-reader for optional Skribe support
  - guile-reader
oauth: pages.sr.ht/PAGES:RW
environment:
  site: example.org
tasks:
- package: |
    # assuming that your repository name is the same as site domain
    cd $site
    haunt build
    tar -C site -cvz . > ../site.tar.gz
- upload: |
    hut pages publish -d $site site.tar.gz
